#ifndef PASSWORD_H
#define PASSWORD_H

#include "mainwindow.h"
#include <qt5keychain/keychain.h>
#include <qt5keychain/qkeychain_export.h>

class Password : QObject
{
    public:
        QString appName;
        QKeychain::WritePasswordJob * passwdJob;
        QKeychain::ReadPasswordJob * readPass;
        MainWindow * mw;
        QString password;

        Password();
        ~Password();

        void store(QString, QString);
        QString read(QString);
        bool remove(QString);

    private slots:
        void finished(QKeychain::Job*);
        void readReturn();
};

#endif // PASSWORD_H
